Subject: Re: kilauea compilation breaks with v3.3 kernel and ELDK 4.2

From: Frank E. Svendsbøe <[email-masked]>
Date: Mon, 2 Apr 2012 00:14:00 +0200

On Sat, Mar 31, 2012 at 11:03:04AM +1100, Benjamin Herrenschmidt wrote:
> On Sat, 2012-03-31 at 00:53 +0200, Frank Svendsbøe wrote:
> 
> > Hi Josh Boyer,
> > 
> > just wanted to add that I'm experiencing the same problem that Robert
> > reported, but on 8xx instead of 4xx. The mpc8xx does not support the
> > mfdcrx instruction, so maybe it's more to it than just a binutils bug?
> 
> The kernel shouldn't have tried to build that instruction on 8xx, though
> I suppose if it's in arch/powerpc/boot, we are a bit too eager at
> building everything including what's not relevant, we might to be a bit
> more careful at excluding 4xx stuff on a 8xx kernel.
>

Yes. I agree on Wolfgangs statement regarding not building code we
don't want/need. Please explain to me why src-wlib/src-plat in
arch/powerpc/boot/Makefile includes every ppc target...

> Can you give us the exact error ?
>

Yes. The problem is caused by commit 228d550 by Tony Breeds

arch/powerpc/boot/treeboot-currituck.c:50
reg = mfdcrx(DDR3_MR0CF + i);

-- 
Best regards,
Frank